package require gdhetriangle

# ATTENTION gdheTriangle is wrapped directly by swig so you have to init it
# Prefer use gdheTriangleNew :
#
# set tetrahedron [gdheTriangle tetrahedron]
# gdheTriangleInit tetrahedron

proc gdheTriangleNew { pTriangle } {
    set a [uplevel 1 "gdheTriangle $pTriangle" ]
    gdheTriangleInit $a
    return $a
}

set tetrahedron [gdheTriangleNew tetrahedron]

gdheTriangleVertexAdd tetrahedron { 0. 0. 0.  1. 0. 0.  0. 1. 0.  0. 0. 1. }

gdheTriangleTriangleAdd tetrahedron { 0 1 2 }
gdheTriangleTriangleAdd tetrahedron { 1 0 3 }
gdheTriangleTriangleAdd tetrahedron { 0 2 3 }
gdheTriangleTriangleAdd tetrahedron { 3 2 1 }

#define a color for each vertex
gdheTriangleFreeColor tetrahedron
gdheTriangleColorAdd tetrahedron {
    255 255 0
    0 255 255
    255 0 255
    255 0 0 
}

#define a normal for each vertex
set u [expr 1 / sqrt(3)]
gdheTriangleNormalAdd tetrahedron { 
    0 0 -1
    0 -1 0
    -1 0 0
    0.577 0.577 0.577
}

gdheTrianglePrint tetrahedron 

#Now you can use "gdheTriangleDraw tetrahedron" in gdhe drawing

# If you know that you have 1000 items you can predefine the size 
#  avoiding to call realloc, use
# gdheTriangleVertexResize tetrahedron 1000
# gdheTriangleNormalResize tetrahedron 1000
# gdheTriangleColorResize tetrahedron 1000
# gdheTriangleTriangleResize tetrahedron ??
# #then
# gdheTriangleVertexAdd tetrahedron $liste_1
# gdheTriangleVertexAdd tetrahedron $liste_2
# gdheTriangleVertexAdd tetrahedron $liste_3
# ...

set robots(tetra1) {
    gdheTriangleDraw tetrahedron
}

set pos(tetra1) " 0 0 0 "


#second tetrahedron with single color
set tetrahedron2 [gdheTriangleNew tetrahedron2]

gdheTriangleVertexAdd tetrahedron2 { 0. 0. 0.  1. 0. 0.  0. 1. 0.  0. 0. 1. }

gdheTriangleTriangleAdd tetrahedron2 { 0 1 2 }
gdheTriangleTriangleAdd tetrahedron2 { 1 0 3 }
gdheTriangleTriangleAdd tetrahedron2 { 0 2 3 }
gdheTriangleTriangleAdd tetrahedron2 { 3 2 1 }

gdheTriangleFreeColor tetrahedron2
gdheTriangleColorAdd tetrahedron2 { 200 0 0 }

set robots(tetra2) "gdheTriangleDraw tetrahedron2"
set pos(tetra2) " 1.5 0 0 "

redrawAllWindows


