# 
# Copyright (C) 1996-2001 LAAS/CNRS 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    - Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    - Redistributions in binary form must reproduce the above
#      copyright notice, this list of conditions and the following
#      disclaimer in the documentation and/or other materials provided
#      with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
# 
# $LAAS$
#----------------------------------------------------------------------
package provide Gdhe::models 1.0

### 
### platine
###
proc platineRobosoft {azi site} {
    pushMatrix
    object platineInf {
	color 50 50 50
	box -0.02 0.0 0 0.08 0.05 0.05
	color 180 180 180
	cylinder -0.075 0 0.025 x 0.012 0.02
    }
    rotate $azi 0 0 1
    object platineMid {
	color 50 50 50
	box -0.02 0 0.051 0.08 0.05 0.05
	color 180 180 180
	cylinder -0.075 0 0.075 x 0.012 0.02
	translate 0 0 0.075
    }
    rotate $site 0 -1 0
    object platineSup {
	color 50 50 50
	box 0 -0.028 -0.01 0.02 0.005 0.05
	box 0  0.028 -0.01 0.02 0.005 0.05
	box 0 0 0.04 0.02 0.06 0.01
	# camera
	translate 0 0 0.05
	color 20 20 20
	box -0.013 0.0 0.0 0.053 0.045 0.045
	color 70 70 70
	cylinder 0.01 0.0 0.022 x 0.028 0.01
	cylinder 0.02 0.0 0.022 x 0.028 0.05 0.02
	cylinder 0.04 0.0 0.022 x 0.05 0.008
	color 200 200 200
	cylinder -0.045 0.01 0.03 x 0.006 0.01
	cylinder -0.045 -0.01 0.03 x 0.006 0.01
    }
    popMatrix
}
